ошибка при установке composer: Failed to clone git+ssh://git@github.com/isaacs/abbrev-js.git, git was not found, check t

Различные вопросы по установке и настройке фреймворка, конфигурции веб-сервера и IDE.
Ответить
kapkapiton
Сообщения: 25
Зарегистрирован: 2018.01.30, 11:04
Контактная информация:

ошибка при установке composer: Failed to clone git+ssh://git@github.com/isaacs/abbrev-js.git, git was not found, check t

Сообщение kapkapiton » 2018.06.26, 13:16

Добрый день всем, при установке пакетов composer.json через composer install получаю ошибку:

Failed to clone git+ssh://git@github.com/isaacs/abbrev-js.git, git was not found, check that it is installed and in your PATH env.

Устанавливаю на локальном компе через open server, в чем может быть проблема? http://prntscr.com/jzh8p1 до этого проблем никогда не было. Пишет проверьте, PATH env. Не понимаю что нужно сделать

Содержимое composer.json:

Код: Выделить всё

"name": "",
	"type": "project",
    "minimum-stability": "dev",
	"require": {
		"php": ">=5.6.0",
        "yiisoft/yii2": "2.0.10",
		"yiisoft/yii2-bootstrap": "*",
        "yiisoft/yii2-swiftmailer": "*",
        "kartik-v/yii2-grid": "dev-master#a225bcefd9fa1062be11c8e63acf2255ad2ed73b",
        "kartik-v/yii2-datecontrol": "dev-master#35f19a876a1e2dec2591a94beaba3b1b57c5a740",
        "kartik-v/yii2-field-range": "dev-master#62a09d26bb5141485969b4aa6883fe5a316f861f",
        "kartik-v/yii2-widget-select2": "v2.0.2",
        "kartik-v/yii2-widgets": "dev-master#ec147a73b5d4f4a20aaaea2ae2c63e6a0cb0bfa7",
        "kartik-v/yii2-slider": "dev-master#d023b41900bee054bf86fb106575878e0ba78b09",
		"ircmaxell/random-lib": "v1.1.0",
		"yiister/yii2-gentelella": "~1.0"
	},
	"require-dev": {
        "yiisoft/yii2-codeception": "*",
        "yiisoft/yii2-debug": "*",
        "yiisoft/yii2-gii": "*",
        "yiisoft/yii2-faker": "*"       
    },
	"config": {
        "process-timeout": 1800
    },
	"scripts": {
        "post-create-project-cmd": [
            "yii\\composer\\Installer::postCreateProject"
        ]
    },
	"extra": {
        "yii\\composer\\Installer::postCreateProject": {
            "setPermission": [
                {
                    "runtime": "0777",
                    "web/assets": "0777",
                    "yii": "0755"
                }
            ],
            "generateCookieValidationKey": [
                "config/web.php"
            ]
        },
        "asset-installer-paths": {
            "npm-asset-library": "vendor/npm",
            "bower-asset-library": "vendor/bower"
        }
    }
}

urichalex
Сообщения: 957
Зарегистрирован: 2015.08.07, 11:03

Re: ошибка при установке composer: Failed to clone git+ssh://git@github.com/isaacs/abbrev-js.git, git was not found, che

Сообщение urichalex » 2018.06.26, 18:09

git was not found, check that it is installed and in your PATH env.

kapkapiton
Сообщения: 25
Зарегистрирован: 2018.01.30, 11:04
Контактная информация:

Re: ошибка при установке composer: Failed to clone git+ssh://git@github.com/isaacs/abbrev-js.git, git was not found, che

Сообщение kapkapiton » 2018.06.27, 13:33

с gitom все нормально, на других поддоменах устанавливается нормально, я же пишу до этого проблем никогда не было. Насчет PATH env есть статьи? Скиньте пожайлуста, кто может. Я не нашел нормальных.

zelenin
Сообщения: 10596
Зарегистрирован: 2013.04.20, 11:30

Re: ошибка при установке composer: Failed to clone git+ssh://git@github.com/isaacs/abbrev-js.git, git was not found, che

Сообщение zelenin » 2018.06.27, 13:45

kapkapiton писал(а):
2018.06.27, 13:33
с gitom все нормально
с гитом да, а с его интеграцией с твоим проектом нет.

urichalex
Сообщения: 957
Зарегистрирован: 2015.08.07, 11:03

Re: ошибка при установке composer: Failed to clone git+ssh://git@github.com/isaacs/abbrev-js.git, git was not found, che

Сообщение urichalex » 2018.06.27, 14:40

Сначала узнать где есть git

Код: Выделить всё

whereis git
Выдаст путь к нему, например

Код: Выделить всё

/usr/local/share/git
Добавить в PATH директорию:

Код: Выделить всё

export PATH=$PATH:/usr/local/share
Конечно же при условии, что это linux

kapkapiton
Сообщения: 25
Зарегистрирован: 2018.01.30, 11:04
Контактная информация:

Re: ошибка при установке composer: Failed to clone git+ssh://git@github.com/isaacs/abbrev-js.git, git was not found, che

Сообщение kapkapiton » 2018.06.27, 16:13

Нет, у меня поднято на windows 7 open server. Но раньше таких проблем не было с гитом, composer работал без проблем. Кроме того из другого проекта для open server composer работает без проблем, не работает конкретно для одного.
Последний раз редактировалось kapkapiton 2018.06.27, 16:15, всего редактировалось 1 раз.

urichalex
Сообщения: 957
Зарегистрирован: 2015.08.07, 11:03

Re: ошибка при установке composer: Failed to clone git+ssh://git@github.com/isaacs/abbrev-js.git, git was not found, che

Сообщение urichalex » 2018.06.27, 16:15

kapkapiton писал(а):
2018.06.27, 16:13
Нет, у меня поднято на windows 7 open server.
На винде проще наверное. Там в свойствах копьютера указывается. В интернете есть инструкции

kapkapiton
Сообщения: 25
Зарегистрирован: 2018.01.30, 11:04
Контактная информация:

Re: ошибка при установке composer: Failed to clone git+ssh://git@github.com/isaacs/abbrev-js.git, git was not found, che

Сообщение kapkapiton » 2018.06.27, 16:26

urichalex писал(а):
2018.06.27, 16:15
kapkapiton писал(а):
2018.06.27, 16:13
Нет, у меня поднято на windows 7 open server.
На винде проще наверное. Там в свойствах копьютера указывается. В интернете есть инструкции
Про Path env я знаю, сталкивался при программирования на java, но вот на open server такого не встречал ни разу, то есть не настраивал и все работало без проблем, странно что вылезло только сейчас.

urichalex
Сообщения: 957
Зарегистрирован: 2015.08.07, 11:03

Re: ошибка при установке composer: Failed to clone git+ssh://git@github.com/isaacs/abbrev-js.git, git was not found, che

Сообщение urichalex » 2018.06.27, 16:53

kapkapiton писал(а):
2018.06.27, 16:26
urichalex писал(а):
2018.06.27, 16:15
kapkapiton писал(а):
2018.06.27, 16:13
Нет, у меня поднято на windows 7 open server.
На винде проще наверное. Там в свойствах копьютера указывается. В интернете есть инструкции
Про Path env я знаю, сталкивался при программирования на java, но вот на open server такого не встречал ни разу, то есть не настраивал и все работало без проблем, странно что вылезло только сейчас.
Ни java ни openserver не при чем.
PATH - это системная переменная, в которой указываются пути к папкам, в которых находятся исполняемые файлы
В Openserver есть свой терминал. Там git прописан в path, вернее находится в своей области видимости. Запускайте композера в нем

kapkapiton
Сообщения: 25
Зарегистрирован: 2018.01.30, 11:04
Контактная информация:

Re: ошибка при установке composer: Failed to clone git+ssh://git@github.com/isaacs/abbrev-js.git, git was not found, che

Сообщение kapkapiton » 2018.06.27, 17:07

urichalex писал(а):
2018.06.27, 16:53
kapkapiton писал(а):
2018.06.27, 16:26
urichalex писал(а):
2018.06.27, 16:15


На винде проще наверное. Там в свойствах копьютера указывается. В интернете есть инструкции
Про Path env я знаю, сталкивался при программирования на java, но вот на open server такого не встречал ни разу, то есть не настраивал и все работало без проблем, странно что вылезло только сейчас.
Ни java ни openserver не при чем.
PATH - это системная переменная, в которой указываются пути к папкам, в которых находятся исполняемые файлы
В Openserver есть свой терминал. Там git прописан в path, вернее находится в своей области видимости. Запускайте композера в нем
Да, я так и делаю. Ошибка выдается в терминале http://prntscr.com/jzzsm9

urichalex
Сообщения: 957
Зарегистрирован: 2015.08.07, 11:03

Re: ошибка при установке composer: Failed to clone git+ssh://git@github.com/isaacs/abbrev-js.git, git was not found, che

Сообщение urichalex » 2018.06.28, 10:12

Видимо значит Open server версии basic, в ней нет гита

kapkapiton
Сообщения: 25
Зарегистрирован: 2018.01.30, 11:04
Контактная информация:

Re: ошибка при установке composer: Failed to clone git+ssh://git@github.com/isaacs/abbrev-js.git, git was not found, che

Сообщение kapkapiton » 2018.06.28, 11:00

В итоге разобрался:

Вместо "yiisoft/yii2-gii": "*", прописал "yiisoft/yii2-gii": "2.00" , все заработало

Спасибо.

Ответить